Subject: bug#25706: 26.0.50; Slow C file fontification

From: Ravine Var <[email-masked]>
Date: Tue, 01 Dec 2020 11:18:40 +0530

Mattias Engdegård <[email-masked]> writes:
> Found it. Suggested fix attached.
>
> It can be improved: at least one pair of regexp group brackets can be
> removed, but I didn't dare doing so because I wasn't sure if it would
> throw some group numbers off by one.

Thanks for working on this !

Will this patch fix the problem with big header files like
the one originally reported ?

I tested this patch and the issue is still there.

Also, such header files are very common. For example:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/tree/drivers/gpu/drm/amd/include/asic_reg